Bug 176008 - Bad: udev does not umount external devices
Bad: udev does not umount external devices
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-17 03:45 EST by François Patte
Modified: 2013-03-13 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 09:30:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François Patte 2005-12-17 03:45:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050923 Galeon/2.0.0

Description of problem:
When hotpluging a usb external device, udev mount it and an icon is visible on the desktop.

When unpluging, the icon desappears, but the device is still mounted (check df or mtab)

log-out then log-in again, the device is still mounted and an icon appears on the desktop.

Version-Release number of selected component (if applicable):
udev-058-1.0.FC4.1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. login as a normal user and plug any usb device
2. unplug the device, execute df (or read mtab), the device is still mounted
3. log-out and log-in again: device is stil mounted and icon is present.
  

Expected Results:  device is unmounted like in i386 arch.

Additional info:
Comment 1 Harald Hoyer 2005-12-19 04:38:30 EST
udev does not mount devices.
Comment 2 John (J5) Palmieri 2005-12-19 09:30:46 EST
You need to unmount the device manually (right click menu - unmount) before
unplugging it.  Pulling out a USB device while it is mounted can cause data loss.

Note You need to log in before you can comment on or make changes to this bug.